Index: /LMDZ5/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2673)
+++ /LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2674)
@@ -176,4 +176,16 @@
         <field id="wbilo_oce"    long_name="Bilan eau oce"    unit="kg/(m2*s)" />
         <field id="wbilo_sic"    long_name="Bilan eau sic"    unit="kg/(m2*s)" />
+        <field id="wevap_ter"    long_name="Evap eau ter"    unit="kg/(m2*s)" />
+        <field id="wevap_lic"    long_name="Evap eau lic"    unit="kg/(m2*s)" />
+        <field id="wevap_oce"    long_name="Evap eau oce"    unit="kg/(m2*s)" />
+        <field id="wevap_sic"    long_name="Evap eau sic"    unit="kg/(m2*s)" />
+        <field id="wrain_ter"    long_name="Pluie eau ter"    unit="kg/(m2*s)" />
+        <field id="wrain_lic"    long_name="Pluie eau lic"    unit="kg/(m2*s)" />
+        <field id="wrain_oce"    long_name="Pluie eau oce"    unit="kg/(m2*s)" />
+        <field id="wrain_sic"    long_name="Pluie eau sic"    unit="kg/(m2*s)" />
+        <field id="wsnow_ter"    long_name="Neige eau ter"    unit="kg/(m2*s)" />
+        <field id="wsnow_lic"    long_name="Neige eau lic"    unit="kg/(m2*s)" />
+        <field id="wsnow_oce"    long_name="Neige eau oce"    unit="kg/(m2*s)" />
+        <field id="wsnow_sic"    long_name="Neige eau sic"    unit="kg/(m2*s)" />
         <field id="cdrm"    long_name="Momentum drag coef."    unit="-" />
         <field id="cdrh"    long_name="Heat drag coef."    unit="-" />
@@ -479,4 +491,5 @@
         <field id="upwd"    long_name="saturated updraft"    unit="kg/m2/s" />
         <field id="ep"    long_name="ep"    unit="su" />
+        <field id="duphy"    long_name="Physics du"    unit="K/s" />
         <field id="dtphy"    long_name="Physics dT"    unit="K/s" />
         <field id="dqphy"    long_name="Physics dQ"    unit="(kg/kg)/s" />
Index: /LMDZ5/trunk/DefLists/file_def_histLES_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histLES_lmdz.xml	(revision 2673)
+++ /LMDZ5/trunk/DefLists/file_def_histLES_lmdz.xml	(revision 2674)
@@ -163,4 +163,16 @@
                 <field field_ref="wbilo_oce" level="10" />
                 <field field_ref="wbilo_sic" level="10" />
+                <field field_ref="wevap_ter" level="10" />
+                <field field_ref="wevap_lic" level="10" />
+                <field field_ref="wevap_oce" level="10" />
+                <field field_ref="wevap_sic" level="10" />
+                <field field_ref="wrain_ter" level="10" />
+                <field field_ref="wrain_lic" level="10" />
+                <field field_ref="wrain_oce" level="10" />
+                <field field_ref="wrain_sic" level="10" />
+                <field field_ref="wsnow_ter" level="10" />
+                <field field_ref="wsnow_lic" level="10" />
+                <field field_ref="wsnow_oce" level="10" />
+                <field field_ref="wsnow_sic" level="10" />
                 <field field_ref="cdrm" level="10" />
                 <field field_ref="cdrh" level="10" />
@@ -448,4 +460,5 @@
                 <field field_ref="upwd" level="10" />
                 <field field_ref="ep" level="10" />
+                <field field_ref="duphy" level="10" />
                 <field field_ref="dtphy" level="10" />
                 <field field_ref="dqphy" level="10" />
Index: /LMDZ5/trunk/DefLists/file_def_histday_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histday_lmdz.xml	(revision 2673)
+++ /LMDZ5/trunk/DefLists/file_def_histday_lmdz.xml	(revision 2674)
@@ -163,4 +163,16 @@
                 <field field_ref="wbilo_oce" level="10" />
                 <field field_ref="wbilo_sic" level="10" />
+                <field field_ref="wevap_ter" level="10" />
+                <field field_ref="wevap_lic" level="10" />
+                <field field_ref="wevap_oce" level="10" />
+                <field field_ref="wevap_sic" level="10" />
+                <field field_ref="wrain_ter" level="10" />
+                <field field_ref="wrain_lic" level="10" />
+                <field field_ref="wrain_oce" level="10" />
+                <field field_ref="wrain_sic" level="10" />
+                <field field_ref="wsnow_ter" level="10" />
+                <field field_ref="wsnow_lic" level="10" />
+                <field field_ref="wsnow_oce" level="10" />
+                <field field_ref="wsnow_sic" level="10" />
                 <field field_ref="cdrm" level="10" />
                 <field field_ref="cdrh" level="10" />
@@ -448,4 +460,5 @@
                 <field field_ref="upwd" level="10" />
                 <field field_ref="ep" level="10" />
+                <field field_ref="duphy" level="10" />
                 <field field_ref="dtphy" level="10" />
                 <field field_ref="dqphy" level="10" />
Index: /LMDZ5/trunk/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 2673)
+++ /LMDZ5/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 2674)
@@ -163,4 +163,16 @@
                 <field field_ref="wbilo_oce" level="10" />
                 <field field_ref="wbilo_sic" level="10" />
+                <field field_ref="wevap_ter" level="10" />
+                <field field_ref="wevap_lic" level="10" />
+                <field field_ref="wevap_oce" level="10" />
+                <field field_ref="wevap_sic" level="10" />
+                <field field_ref="wrain_ter" level="10" />
+                <field field_ref="wrain_lic" level="10" />
+                <field field_ref="wrain_oce" level="10" />
+                <field field_ref="wrain_sic" level="10" />
+                <field field_ref="wsnow_ter" level="10" />
+                <field field_ref="wsnow_lic" level="10" />
+                <field field_ref="wsnow_oce" level="10" />
+                <field field_ref="wsnow_sic" level="10" />
                 <field field_ref="cdrm" level="10" />
                 <field field_ref="cdrh" level="7" />
@@ -478,4 +490,5 @@
                 <field field_ref="upwd" level="10" />
                 <field field_ref="ep" level="10" />
+                <field field_ref="duphy" level="10" />
                 <field field_ref="dtphy" level="10" />
                 <field field_ref="dqphy" level="10" />
Index: /LMDZ5/trunk/DefLists/file_def_histins_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histins_lmdz.xml	(revision 2673)
+++ /LMDZ5/trunk/DefLists/file_def_histins_lmdz.xml	(revision 2674)
@@ -163,4 +163,16 @@
                 <field field_ref="wbilo_oce" level="10" />
                 <field field_ref="wbilo_sic" level="10" />
+                <field field_ref="wevap_ter" level="10" />
+                <field field_ref="wevap_lic" level="10" />
+                <field field_ref="wevap_oce" level="10" />
+                <field field_ref="wevap_sic" level="10" />
+                <field field_ref="wrain_ter" level="10" />
+                <field field_ref="wrain_lic" level="10" />
+                <field field_ref="wrain_oce" level="10" />
+                <field field_ref="wrain_sic" level="10" />
+                <field field_ref="wsnow_ter" level="10" />
+                <field field_ref="wsnow_lic" level="10" />
+                <field field_ref="wsnow_oce" level="10" />
+                <field field_ref="wsnow_sic" level="10" />
                 <field field_ref="cdrm" level="10" />
                 <field field_ref="cdrh" level="10" />
@@ -448,4 +460,5 @@
                 <field field_ref="upwd" level="10" />
                 <field field_ref="ep" level="10" />
+                <field field_ref="duphy" level="10" />
                 <field field_ref="dtphy" level="10" />
                 <field field_ref="dqphy" level="10" />
Index: /LMDZ5/trunk/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 2673)
+++ /LMDZ5/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 2674)
@@ -185,4 +185,16 @@
                 <field field_ref="wbilo_oce" level="1" />
                 <field field_ref="wbilo_sic" level="1" />
+                <field field_ref="wevap_ter" level="1" />
+                <field field_ref="wevap_lic" level="1" />
+                <field field_ref="wevap_oce" level="1" />
+                <field field_ref="wevap_sic" level="1" />
+                <field field_ref="wrain_ter" level="1" />
+                <field field_ref="wrain_lic" level="1" />
+                <field field_ref="wrain_oce" level="1" />
+                <field field_ref="wrain_sic" level="1" />
+                <field field_ref="wsnow_ter" level="1" />
+                <field field_ref="wsnow_lic" level="1" />
+                <field field_ref="wsnow_oce" level="1" />
+                <field field_ref="wsnow_sic" level="1" />
                 <field field_ref="cdrm" level="1" />
                 <field field_ref="cdrh" level="1" />
@@ -470,4 +482,5 @@
                 <field field_ref="upwd" level="2" />
                 <field field_ref="ep" level="2" />
+                <field field_ref="duphy" level="2" />
                 <field field_ref="dtphy" level="2" />
                 <field field_ref="dqphy" level="2" />
Index: /LMDZ5/trunk/DefLists/file_def_histstn_lmdz.xml
===================================================================
--- /LMDZ5/trunk/DefLists/file_def_histstn_lmdz.xml	(revision 2673)
+++ /LMDZ5/trunk/DefLists/file_def_histstn_lmdz.xml	(revision 2674)
@@ -163,4 +163,16 @@
                 <field field_ref="wbilo_oce" level="10" />
                 <field field_ref="wbilo_sic" level="10" />
+                <field field_ref="wevap_ter" level="10" />
+                <field field_ref="wevap_lic" level="10" />
+                <field field_ref="wevap_oce" level="10" />
+                <field field_ref="wevap_sic" level="10" />
+                <field field_ref="wrain_ter" level="10" />
+                <field field_ref="wrain_lic" level="10" />
+                <field field_ref="wrain_oce" level="10" />
+                <field field_ref="wrain_sic" level="10" />
+                <field field_ref="wsnow_ter" level="10" />
+                <field field_ref="wsnow_lic" level="10" />
+                <field field_ref="wsnow_oce" level="10" />
+                <field field_ref="wsnow_sic" level="10" />
                 <field field_ref="cdrm" level="10" />
                 <field field_ref="cdrh" level="10" />
@@ -448,4 +460,5 @@
                 <field field_ref="upwd" level="10" />
                 <field field_ref="ep" level="10" />
+                <field field_ref="duphy" level="10" />
                 <field field_ref="dtphy" level="10" />
                 <field field_ref="dqphy" level="10" />