Index: LMDZ5/trunk/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 2670)
+++ LMDZ5/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 2690)
@@ -29,8 +29,6 @@
       REAL, SAVE, ALLOCATABLE :: d_u_dyn(:,:), d_v_dyn(:,:)
       !$OMP THREADPRIVATE(d_u_dyn, d_v_dyn)
-!!!!
       REAL, SAVE, ALLOCATABLE :: d_tr_dyn(:,:,:)
       !$OMP THREADPRIVATE(d_tr_dyn)
-!!!!
       REAL, SAVE, ALLOCATABLE :: d_t_con(:,:),d_q_con(:,:)
       !$OMP THREADPRIVATE(d_t_con,d_q_con)
@@ -420,4 +418,60 @@
 !$OMP THREADPRIVATE(sissnow,runoff,albsol3_lic)
 
+#ifdef CPP_StratAer
+! variables for strat. aerosol CK
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: R2SO4
+!$OMP THREADPRIVATE(R2SO4)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: DENSO4
+!$OMP THREADPRIVATE(DENSO4)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: f_r_wet
+!$OMP THREADPRIVATE(f_r_wet)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: sfluxaer
+!$OMP THREADPRIVATE(sfluxaer)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: decfluxaer
+!$OMP THREADPRIVATE(decfluxaer)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: mdw
+!$OMP THREADPRIVATE(mdw)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: sulf_convert
+!$OMP THREADPRIVATE(sulf_convert)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: sulf_nucl
+!$OMP THREADPRIVATE(sulf_nucl)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: sulf_cond_evap
+!$OMP THREADPRIVATE(sulf_cond_evap)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: ocs_convert
+!$OMP THREADPRIVATE(ocs_convert)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: SO2_backgr_tend
+!$OMP THREADPRIVATE(SO2_backgr_tend)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: OCS_backgr_tend
+!$OMP THREADPRIVATE(OCS_backgr_tend)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: OCS_lifetime
+!$OMP THREADPRIVATE(OCS_lifetime)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: SO2_lifetime
+!$OMP THREADPRIVATE(SO2_lifetime)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: alpha_bin
+!$OMP THREADPRIVATE(alpha_bin)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: piz_bin
+!$OMP THREADPRIVATE(piz_bin)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: cg_bin
+!$OMP THREADPRIVATE(cg_bin)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: tau_strat_550
+!$OMP THREADPRIVATE(tau_strat_550)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: tau_strat_550_lay
+!$OMP THREADPRIVATE(tau_strat_550_lay)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: tau_strat_1020
+!$OMP THREADPRIVATE(tau_strat_1020)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: tausum_strat
+!$OMP THREADPRIVATE(tausum_strat)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: sulf_dep_dry
+!$OMP THREADPRIVATE(sulf_dep_dry)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: sulf_dep_wet
+!$OMP THREADPRIVATE(sulf_dep_wet)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: surf_PM25_sulf
+!$OMP THREADPRIVATE(surf_PM25_sulf)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:) :: p_tropopause
+!$OMP THREADPRIVATE(p_tropopause)
+      REAL, ALLOCATABLE, SAVE, DIMENSION(:,:) :: vsed_aer
+!$OMP THREADPRIVATE(vsed_aer)
+#endif
+
 CONTAINS
 
@@ -659,5 +713,32 @@
       ALLOCATE (sissnow(klon),runoff(klon),albsol3_lic(klon))
 
-
+#ifdef CPP_StratAer
+      ALLOCATE (R2SO4(klon,klev))
+      ALLOCATE (DENSO4(klon,klev))
+      ALLOCATE (f_r_wet(klon,klev))
+      ALLOCATE (sfluxaer(klon))
+      ALLOCATE (decfluxaer(klon,nbtr))
+      ALLOCATE (mdw(nbtr))
+      ALLOCATE (sulf_convert(klon,klev))
+      ALLOCATE (sulf_nucl(klon,klev))
+      ALLOCATE (sulf_cond_evap(klon,klev))
+      ALLOCATE (ocs_convert(klon,klev))
+      ALLOCATE (SO2_backgr_tend(klon,klev))
+      ALLOCATE (OCS_backgr_tend(klon,klev))
+      ALLOCATE (OCS_lifetime(klon,klev))
+      ALLOCATE (SO2_lifetime(klon,klev))
+      ALLOCATE (alpha_bin(nbands_sw_rrtm+nbands_lw_rrtm+nwave+nwave_lw,nbtr))
+      ALLOCATE (piz_bin(nbands_sw_rrtm+nbands_lw_rrtm+nwave+nwave_lw,nbtr))
+      ALLOCATE (cg_bin(nbands_sw_rrtm+nbands_lw_rrtm+nwave+nwave_lw,nbtr))
+      ALLOCATE (tau_strat_550(klon,klev))
+      ALLOCATE (tau_strat_550_lay(klon,klev))
+      ALLOCATE (tau_strat_1020(klon,klev))
+      ALLOCATE (tausum_strat(klon,3))
+      ALLOCATE (sulf_dep_dry(klon))
+      ALLOCATE (sulf_dep_wet(klon))
+      ALLOCATE (surf_PM25_sulf(klon))
+      ALLOCATE (p_tropopause(klon))
+      ALLOCATE (vsed_aer(klon,klev))
+#endif
 
 END SUBROUTINE phys_local_var_init
@@ -876,4 +957,34 @@
       DEALLOCATE (zxsnow,snowhgt,qsnow,to_ice,sissnow,runoff,albsol3_lic)
 
+#ifdef CPP_StratAer
+! variables for strat. aerosol CK
+      DEALLOCATE (R2SO4)
+      DEALLOCATE (DENSO4)
+      DEALLOCATE (f_r_wet)
+      DEALLOCATE (sfluxaer)
+      DEALLOCATE (decfluxaer)
+      DEALLOCATE (mdw)
+      DEALLOCATE (sulf_convert)
+      DEALLOCATE (sulf_nucl)
+      DEALLOCATE (sulf_cond_evap)
+      DEALLOCATE (ocs_convert)
+      DEALLOCATE (SO2_backgr_tend)
+      DEALLOCATE (OCS_backgr_tend)
+      DEALLOCATE (SO2_lifetime)
+      DEALLOCATE (OCS_lifetime)
+      DEALLOCATE (alpha_bin)
+      DEALLOCATE (piz_bin)
+      DEALLOCATE (cg_bin)
+      DEALLOCATE (tau_strat_550)
+      DEALLOCATE (tau_strat_550_lay)
+      DEALLOCATE (tau_strat_1020)
+      DEALLOCATE (tausum_strat)
+      DEALLOCATE (sulf_dep_dry)
+      DEALLOCATE (sulf_dep_wet)
+      DEALLOCATE (surf_PM25_sulf)
+      DEALLOCATE (p_tropopause)
+      DEALLOCATE (vsed_aer)
+#endif
+
 END SUBROUTINE phys_local_var_end
 