Index: /LMDZ5/trunk/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 2693)
+++ /LMDZ5/trunk/libf/phylmd/rrtm/readaerosolstrato1_rrtm.F90	(revision 2694)
@@ -2,9 +2,9 @@
 ! $Id: readaerosolstrato1_rrtm.F90 2526 2016-05-26 22:13:40Z oboucher $
 !
-subroutine readaerosolstrato1_rrtm(debut)
-
-    use netcdf95, only: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
+SUBROUTINE readaerosolstrato1_rrtm(debut)
+
+    USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
                         nf95_inq_varid, nf95_open
-    use netcdf, only: nf90_get_var, nf90_noerr, nf90_nowrite
+    USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
     USE phys_cal_mod, ONLY : mth_cur
@@ -17,57 +17,56 @@
     USE aero_mod
     USE dimphy
-    USE YOERAD   , ONLY : NLW
-
-    implicit none
-
-    include "YOMCST.h"
+    USE YOERAD, ONLY : NLW
+    USE YOMCST
+
+    IMPLICIT NONE
 
 ! Variable input
-    logical debut
+    LOGICAL debut
 
 ! Variables locales
-    integer n_lat   ! number of latitudes in the input data
-    integer n_lon   ! number of longitudes in the input data
-    integer n_lev   ! number of levels in the input data
-    integer n_month ! number of months in the input data
-    real, pointer:: latitude(:)
-    real, pointer:: longitude(:)
-    real, pointer:: time(:)
-    real, pointer:: lev(:)
-    integer k, band, wave, i
-    integer, save :: mth_pre
-
-    real, allocatable, dimension(:,:), save :: tau_aer_strat
+    INTEGER n_lat   ! number of latitudes in the input data
+    INTEGER n_lon   ! number of longitudes in the input data
+    INTEGER n_lev   ! number of levels in the input data
+    INTEGER n_month ! number of months in the input data
+    REAL, POINTER:: latitude(:)
+    REAL, POINTER:: longitude(:)
+    REAL, POINTER:: time(:)
+    REAL, POINTER:: lev(:)
+    INTEGER k, band, wave, i
+    INTEGER, SAVE :: mth_pre
+
+    REAL, ALLOCATABLE, DIMENSION(:,:), SAVE :: tau_aer_strat
 !$OMP THREADPRIVATE(tau_aer_strat)
 
 ! Champs reconstitues
-    real, allocatable:: tauaerstrat(:, :, :, :)
-    real, allocatable:: tauaerstrat_mois(:, :, :)
-    real, allocatable:: tauaerstrat_mois_glo(:, :)
-
-    real, allocatable:: sum_tau_aer_strat(:)
+    REAL, ALLOCATABLE:: tauaerstrat(:, :, :, :)
+    REAL, ALLOCATABLE:: tauaerstrat_mois(:, :, :)
+    REAL, ALLOCATABLE:: tauaerstrat_mois_glo(:, :)
+
+    REAL, ALLOCATABLE:: sum_tau_aer_strat(:)
 
 ! For NetCDF:
-    integer ncid_in  ! IDs for input files
-    integer varid, ncerr
+    INTEGER ncid_in  ! IDs for input files
+    INTEGER varid, ncerr
 
 ! Stratospheric aerosols optical properties
 ! alpha_sw_strat over the 6 bands is normalised by the 550 nm extinction coefficient
-    real, dimension(nbands_sw_rrtm) :: alpha_sw_strat, piz_sw_strat, cg_sw_strat
-    data alpha_sw_strat/0.8545564, 0.8451642, 0.9821724, 0.8145110, 0.3073565, 7.7966176E-02/
-    data cg_sw_strat   /0.6997170, 0.6810035, 0.7403592, 0.7562674, 0.6676504, 0.3478689/
-    data piz_sw_strat  /0.9999998, 0.9999998, 1.000000000, 0.9999958, 0.9977155, 0.4510679/
+    REAL, DIMENSION(nbands_sw_rrtm) :: alpha_sw_strat, piz_sw_strat, cg_sw_strat
+    DATA alpha_sw_strat/0.8545564, 0.8451642, 0.9821724, 0.8145110, 0.3073565, 7.7966176E-02/
+    DATA cg_sw_strat   /0.6997170, 0.6810035, 0.7403592, 0.7562674, 0.6676504, 0.3478689/
+    DATA piz_sw_strat  /0.9999998, 0.9999998, 1.000000000, 0.9999958, 0.9977155, 0.4510679/
 !
 !--diagnostics AOD in the SW
 ! alpha_sw_strat_wave is *not* normalised by the 550 nm extinction coefficient
-    real, dimension(nwave_sw) :: alpha_sw_strat_wave
-    data alpha_sw_strat_wave/3.708007,4.125824,4.136584,3.887478,3.507738/
+    REAL, DIMENSION(nwave_sw) :: alpha_sw_strat_wave
+    DATA alpha_sw_strat_wave/3.708007,4.125824,4.136584,3.887478,3.507738/
 !
 !--diagnostics AOD in the LW at 10 um (not normalised by the 550 nm ext coefficient
-    real :: alpha_lw_strat_wave(nwave_lw)
-    data alpha_lw_strat_wave/0.2746812/
-!
-    real, dimension(nbands_lw_rrtm) :: alpha_lw_abs_rrtm
-    data alpha_lw_abs_rrtm/   8.8340312E-02, 6.9856711E-02, 6.2652975E-02, 5.7188231E-02, &
+    REAL :: alpha_lw_strat_wave(nwave_lw)
+    DATA alpha_lw_strat_wave/0.2746812/
+!
+    REAL, DIMENSION(nbands_lw_rrtm) :: alpha_lw_abs_rrtm
+    DATA alpha_lw_abs_rrtm/   8.8340312E-02, 6.9856711E-02, 6.2652975E-02, 5.7188231E-02, &
                               6.3157059E-02, 5.5072524E-02, 5.0571125E-02, 0.1349073, &    
                               0.1381676, 9.6506312E-02, 5.1312990E-02, 2.4256418E-02, &
@@ -237,3 +236,3 @@
     tau_aero_lw_rrtm = MAX(tau_aero_lw_rrtm,1.e-15)
 
-end subroutine readaerosolstrato1_rrtm
+END SUBROUTINE readaerosolstrato1_rrtm
Index: /LMDZ5/trunk/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 2693)
+++ /LMDZ5/trunk/libf/phylmd/rrtm/readaerosolstrato2_rrtm.F90	(revision 2694)
@@ -2,9 +2,9 @@
 ! $Id: readaerosolstrato2_rrtm.F90 2526 2016-05-26 22:13:40Z oboucher $
 !
-subroutine readaerosolstrato2_rrtm(debut)
-
-    use netcdf95, only: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
+SUBROUTINE readaerosolstrato2_rrtm(debut)
+
+    USE netcdf95, ONLY: nf95_close, nf95_gw_var, nf95_inq_dimid, & 
                         nf95_inq_varid, nf95_open
-    use netcdf, only: nf90_get_var, nf90_noerr, nf90_nowrite
+    USE netcdf, ONLY: nf90_get_var, nf90_noerr, nf90_nowrite
 
     USE phys_cal_mod, ONLY : mth_cur
@@ -17,9 +17,9 @@
     USE aero_mod
     USE dimphy
-    USE YOERAD   , ONLY : NLW
-
-    implicit none
-
-    include "YOMCST.h"
+    USE YOERAD, ONLY : NLW
+    USE YOMCST
+
+    IMPLICIT NONE
+
     INCLUDE "clesphys.h"
 
@@ -28,45 +28,44 @@
 
 ! Variable input
-    logical, intent(in) ::  debut
+    LOGICAL, INTENT(IN) ::  debut
 
 ! Variables locales
-    integer n_lat   ! number of latitudes in the input data
-    integer n_lon   ! number of longitudes
-    integer n_lev   ! number of levels in the input data
-    integer n_month ! number of months in the input data
-    integer n_wav   ! number of wavelengths in the input data
-    real, pointer:: latitude(:)
-    real, pointer:: longitude(:)
-    real, pointer:: time(:)
-    real, pointer:: lev(:)
-    real, pointer:: wav(:)
-    integer i,k,wave,band
-    integer, save :: mth_pre
-
-    real, allocatable, dimension(:,:,:), save :: tau_aer_strat
-    real, allocatable, dimension(:,:,:), save :: piz_aer_strat
-    real, allocatable, dimension(:,:,:), save :: cg_aer_strat
-    real, allocatable, dimension(:,:,:), save :: taulw_aer_strat
+    INTEGER n_lat   ! number of latitudes in the input data
+    INTEGER n_lon   ! number of longitudes
+    INTEGER n_lev   ! number of levels in the input data
+    INTEGER n_month ! number of months in the input data
+    INTEGER n_wav   ! number of wavelengths in the input data
+    REAL, POINTER:: latitude(:)
+    REAL, POINTER:: time(:)
+    REAL, POINTER:: lev(:)
+    REAL, POINTER:: wav(:)
+    INTEGER i,k,wave,band
+    INTEGER, SAVE :: mth_pre
+
+    REAL, ALLOCATABLE, DIMENSION(:,:,:), SAVE :: tau_aer_strat
+    REAL, ALLOCATABLE, DIMENSION(:,:,:), SAVE :: piz_aer_strat
+    REAL, ALLOCATABLE, DIMENSION(:,:,:), SAVE :: cg_aer_strat
+    REAL, ALLOCATABLE, DIMENSION(:,:,:), SAVE :: taulw_aer_strat
 !$OMP THREADPRIVATE(tau_aer_strat,piz_aer_strat,cg_aer_strat,taulw_aer_strat)
 
 ! Champs reconstitues
-    real, allocatable:: tauaerstrat(:, :, :, :)
-    real, allocatable:: pizaerstrat(:, :, :, :)
-    real, allocatable:: cgaerstrat(:, :, :, :)
-    real, allocatable:: taulwaerstrat(:, :, :, :)
-
-    real, allocatable:: tauaerstrat_mois(:, :, :, :)
-    real, allocatable:: pizaerstrat_mois(:, :, :, :)
-    real, allocatable:: cgaerstrat_mois(:, :, :, :)
-    real, allocatable:: taulwaerstrat_mois(:, :, :, :)
-
-    real, allocatable:: tauaerstrat_mois_glo(:, :, :)
-    real, allocatable:: pizaerstrat_mois_glo(:, :, :)
-    real, allocatable:: cgaerstrat_mois_glo(:, :, :)
-    real, allocatable:: taulwaerstrat_mois_glo(:, :, :)
+    REAL, ALLOCATABLE:: tauaerstrat(:, :, :, :)
+    REAL, ALLOCATABLE:: pizaerstrat(:, :, :, :)
+    REAL, ALLOCATABLE:: cgaerstrat(:, :, :, :)
+    REAL, ALLOCATABLE:: taulwaerstrat(:, :, :, :)
+
+    REAL, ALLOCATABLE:: tauaerstrat_mois(:, :, :, :)
+    REAL, ALLOCATABLE:: pizaerstrat_mois(:, :, :, :)
+    REAL, ALLOCATABLE:: cgaerstrat_mois(:, :, :, :)
+    REAL, ALLOCATABLE:: taulwaerstrat_mois(:, :, :, :)
+
+    REAL, ALLOCATABLE:: tauaerstrat_mois_glo(:, :, :)
+    REAL, ALLOCATABLE:: pizaerstrat_mois_glo(:, :, :)
+    REAL, ALLOCATABLE:: cgaerstrat_mois_glo(:, :, :)
+    REAL, ALLOCATABLE:: taulwaerstrat_mois_glo(:, :, :)
 
 ! For NetCDF:
-    integer ncid_in  ! IDs for input files
-    integer varid, ncerr
+    INTEGER ncid_in  ! IDs for input files
+    INTEGER varid, ncerr
 
 !--------------------------------------------------------
@@ -343,3 +342,3 @@
     tau_aero_lw_rrtm = MAX(tau_aero_lw_rrtm,1.e-15)
 
-end subroutine readaerosolstrato2_rrtm
+END SUBROUTINE readaerosolstrato2_rrtm