Index: LMDZ5/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2698)
+++ LMDZ5/trunk/DefLists/field_def_lmdz.xml	(revision 2704)
@@ -111,13 +111,13 @@
         <field id="bils_enthalp"    long_name="Surf. total heat flux"    unit="W/m2" />
         <field id="bils_latent"    long_name="Surf. total heat flux"    unit="W/m2" />
-	<field id="bils_ech"    long_name="peu importe"    unit="W/m2" />
-	<field id="du_gwd_rando"    long_name="peu importe"    unit="W/m2" />
-	<field id="dv_gwd_rando"    long_name="peu importe"    unit="W/m2" />
-	<field id="ustr_gwd_hines"    long_name="zonal wind stress Hines gravity waves"    unit="Pa" />
-	<field id="vstr_gwd_hines"    long_name="meridional wind stress Hines gravity waves"    unit="Pa" />
-	<field id="ustr_gwd_front"    long_name="zonal wind stress fronts gravity waves"    unit="Pa" />
-	<field id="vstr_gwd_front"    long_name="meridional wind stress fronts gravity waves"    unit="Pa" />
-	<field id="ustr_gwd_rando"    long_name="zonal wind stress random gravity waves"    unit="Pa" />
-	<field id="vstr_gwd_rando"    long_name="meridinal wind stress random gravity waves"    unit="Pa" />
+        <field id="bils_ech"    long_name="peu importe"    unit="W/m2" />
+        <field id="du_gwd_rando"    long_name="peu importe"    unit="W/m2" />
+        <field id="dv_gwd_rando"    long_name="peu importe"    unit="W/m2" />
+        <field id="ustr_gwd_hines"    long_name="zonal wind stress Hines gravity waves"    unit="Pa" />
+        <field id="vstr_gwd_hines"    long_name="meridional wind stress Hines gravity waves"    unit="Pa" />
+        <field id="ustr_gwd_front"    long_name="zonal wind stress fronts gravity waves"    unit="Pa" />
+        <field id="vstr_gwd_front"    long_name="meridional wind stress fronts gravity waves"    unit="Pa" />
+        <field id="ustr_gwd_rando"    long_name="zonal wind stress random gravity waves"    unit="Pa" />
+        <field id="vstr_gwd_rando"    long_name="meridinal wind stress random gravity waves"    unit="Pa" />
         <field id="sens"    long_name="Sensible heat flux"    unit="W/m2" />
         <field id="fder"    long_name="Heat flux derivation"    unit="W/m2" />
@@ -573,10 +573,10 @@
         <field id="dulif"    long_name="Orography dU"    unit="m/s2" />
         <field id="dvlif"    long_name="Orography dV"    unit="m/s2" />
-	<field id="du_gwd_hines" long_name="Hines GWD dU" unit="m/s2" />
-	<field id="dv_gwd_hines" long_name="Hines GWD dV" unit="m/s2" />
-	<field id="du_gwd_front" long_name="Fronts GWD dU" unit="m/s2" />
-	<field id="dv_gwd_front" long_name="Fronts GWD dV" unit="m/s2" />
-	<field id="east_gwstress" long_name="Eastward GW Stress" unit="Pa" />
-	<field id="west_gwstress" long_name="Westward GW Stress" unit="Pa" />
+        <field id="du_gwd_hines" long_name="Hines GWD dU" unit="m/s2" />
+        <field id="dv_gwd_hines" long_name="Hines GWD dV" unit="m/s2" />
+        <field id="du_gwd_front" long_name="Fronts GWD dU" unit="m/s2" />
+        <field id="dv_gwd_front" long_name="Fronts GWD dV" unit="m/s2" />
+        <field id="east_gwstress" long_name="Eastward GW Stress" unit="Pa" />
+        <field id="west_gwstress" long_name="Westward GW Stress" unit="Pa" />
         <field id="dtoro"    long_name="Orography dT"    unit="K/s" />
         <field id="dtlif"    long_name="Orography dT"    unit="K/s" />
@@ -614,5 +614,8 @@
     </field_group>
 
-    <field_group id="fields_3D_strataer" domain_ref="dom_glo" axis_ref="presnivs">
+    <field_group id="fields_strataer_trac_3D" domain_ref="dom_glo" axis_ref="presnivs"/>
+    <field_group id="fields_strataer_trac_2D" domain_ref="dom_glo"/>
+
+    <field_group id="fields_strataer_3D" domain_ref="dom_glo" axis_ref="presnivs">
         <field id="ext_strat_550"      long_name="Strat. aerosol extinction coefficient at 550 nm"       unit="1/m" />
         <field id="ext_strat_1020"     long_name="Strat. aerosol extinction coefficient at 1020 nm"      unit="1/m" />
@@ -629,5 +632,6 @@
         <field id="f_r_wet"            long_name="Conversion factor dry to wet aerosol radius"           unit="-" />
     </field_group>
-    <field_group id="fields_2D_strataer" domain_ref="dom_glo">
+
+    <field_group id="fields_strataer_2D" domain_ref="dom_glo">
         <field id="OD550_strat_only"   long_name="Stratospheric Aerosol Optical depth at 550 nm "        unit="1" />
         <field id="OD1020_strat_only"  long_name="Stratospheric Aerosol Optical depth at 1020 nm "       unit="1" />
@@ -662,5 +666,5 @@
     </field_group>
 
-    <field_group id="fields_trac" domain_ref="dom_glo">
+    <field_group id="fields_trac_2D" domain_ref="dom_glo">
           <field id="cumRN"    long_name="Cumulated tracer  RNVL1"    unit="-" />
           <field id="cumPB"    long_name="Cumulated tracer  PBVL1"    unit="-" />
@@ -668,5 +672,5 @@
     </field_group>
 
-    <field_group id="fields_trac" domain_ref="dom_glo" axis_ref="presnivs">
+    <field_group id="fields_trac_3D" domain_ref="dom_glo" axis_ref="presnivs">
       <field id="RN"    long_name="Tracer RNVL1"    unit="-" />
       <field id="dRN_vdf"    long_name="Tendance tracer RNVL1"    unit="-" />
@@ -758,22 +762,22 @@
       <field id="c20_atb532" long_name="Lidar Attenuated Total Backscatter (532 nm)" unit="1" axis_ref="height_mlev" />
       <field id="beta_mol532" long_name="Lidar Molecular Backscatter (532 nm)" unit="m-1 sr-1" axis_ref="height_mlev" />
-      <field id="cllcalipsoice"    long_name="Lidar Ice-Phase Low-level Cloud Fraction"   unit="%" />
-      <field id="clhcalipsoice"    long_name="Lidar Ice-Phase Hight-level Cloud Fraction"   unit="%" />
-      <field id="clmcalipsoice"    long_name="Lidar Ice-Phase Mid-level Cloud Fraction"   unit="%" />
-      <field id="cltcalipsoice"    long_name="Lidar Ice-Phase Total Cloud Fraction"   unit="%" />
-      <field id="clcalipsoice"  long_name="Lidar Ice-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="height" />
-      <field id="cllcalipsoliq"    long_name="Lidar Liq-Phase Low-level Cloud Fraction"   unit="%" />
-      <field id="clhcalipsoliq"    long_name="Lidar Liq-Phase Hight-level Cloud Fraction"   unit="%" />
-      <field id="clmcalipsoliq"    long_name="Lidar Liq-Phase Mid-level Cloud Fraction"   unit="%" />
-      <field id="cltcalipsoliq"    long_name="Lidar Liq-Phase Total Cloud Fraction"   unit="%" />
-      <field id="clcalipsoliq"  long_name="Lidar Liq-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="height" />
+      <field id="cllcalipsoice"   long_name="Lidar Ice-Phase Low-level Cloud Fraction"   unit="%" />
+      <field id="clhcalipsoice"   long_name="Lidar Ice-Phase Hight-level Cloud Fraction"   unit="%" />
+      <field id="clmcalipsoice"   long_name="Lidar Ice-Phase Mid-level Cloud Fraction"   unit="%" />
+      <field id="cltcalipsoice"   long_name="Lidar Ice-Phase Total Cloud Fraction"   unit="%" />
+      <field id="clcalipsoice"    long_name="Lidar Ice-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="height" />
+      <field id="cllcalipsoliq"   long_name="Lidar Liq-Phase Low-level Cloud Fraction"   unit="%" />
+      <field id="clhcalipsoliq"   long_name="Lidar Liq-Phase Hight-level Cloud Fraction"   unit="%" />
+      <field id="clmcalipsoliq"   long_name="Lidar Liq-Phase Mid-level Cloud Fraction"   unit="%" />
+      <field id="cltcalipsoliq"   long_name="Lidar Liq-Phase Total Cloud Fraction"   unit="%" />
+      <field id="clcalipsoliq"    long_name="Lidar Liq-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="height" />
       <field id="cllcalipsoun"    long_name="Lidar Undefined-Phase Low-level Cloud Fraction"   unit="%" />
       <field id="clhcalipsoun"    long_name="Lidar Undefined-Phase Hight-level Cloud Fraction"   unit="%" />
       <field id="clmcalipsoun"    long_name="Lidar Undefined-Phase Mid-level Cloud Fraction"   unit="%" />
       <field id="cltcalipsoun"    long_name="Lidar Undefined-Phase Total Cloud Fraction"   unit="%" />
-      <field id="clcalipsoun"  long_name="Lidar Undefined-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="height" />
-      <field id="clcalipsotmp"  long_name="Lidar Cloud Fraction (532 nm)" unit="%" axis_ref="temp" />
-      <field id="clcalipsotmpliq"  long_name="Lidar Liq-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="temp" />
-      <field id="clcalipsotmpice"  long_name="Lidar Ice-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="temp" />
+      <field id="clcalipsoun"     long_name="Lidar Undefined-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="height" />
+      <field id="clcalipsotmp"    long_name="Lidar Cloud Fraction (532 nm)" unit="%" axis_ref="temp" />
+      <field id="clcalipsotmpliq" long_name="Lidar Liq-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="temp" />
+      <field id="clcalipsotmpice" long_name="Lidar Ice-Phase Cloud Fraction (532 nm)" unit="%" axis_ref="temp" />
       <field id="clcalipsotmpun"  long_name="Undefined-Phase Total Cloud Fraction"   unit="%" axis_ref="temp" />
     </field_group>  
@@ -905,5 +909,4 @@
     </field_group>
 
-
    <field_group id="field_scalar" operation="instant" freq_op="30d" grid_ref="grid_scalar">
       <field id="R_ecc" long_name="R_ecc" unit="-" />
@@ -911,5 +914,4 @@
       <field id="R_incl" long_name="R_incl" unit="deg" />
       <field id="solaire" long_name="solaire" unit="W/m2" />
-
       <field id="rsun1" long_name="Fraction constante solaire bande 1" unit="W/m2" />
       <field id="rsun2" long_name="Fraction constante solaire bande 2" unit="W/m2" />
@@ -918,5 +920,4 @@
       <field id="rsun5" long_name="Fraction constante solaire bande 5" unit="W/m2" />
       <field id="rsun6" long_name="Fraction constante solaire bande 6" unit="W/m2" />
-
       <field id="co2_ppm" long_name="co2_ppm" unit="ppm" />
       <field id="CH4_ppb" long_name="CH4_ppb" unit="ppb" />