Index: LMDZ5/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/physiq_mod.F90	(revision 2707)
+++ LMDZ5/trunk/libf/phylmd/physiq_mod.F90	(revision 2714)
@@ -1834,20 +1834,4 @@
     ! Initialize variables used for diagnostic purpose
     IF (flag_inhib_tend .ne. 0) CALL init_cmp_seri
-    !IM
-    IF (ip_ebil_phy.ge.1) THEN 
-       ztit='after dynamic'
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,1,1,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       !     Comme les tendances de la physique sont ajoute dans la dynamique,
-       !     on devrait avoir que la variation d'entalpie par la dynamique
-       !     est egale a la variation de la physique au pas de temps precedent.
-       !     Donc la somme de ces 2 variations devrait etre nulle.
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , zero_v, zero_v, zero_v, zero_v, zero_v &
-            , zero_v, zero_v, zero_v, ztsol &
-            , d_h_vcol+d_h_vcol_phy, d_qt, 0. &
-            , fs_bound, fq_bound )
-    ENDIF
 
     ! Diagnostiquer la tendance dynamique
@@ -1991,18 +1975,4 @@
                'eva',abortphy,flag_inhib_tend)
 
-    IF (ip_ebil_phy.ge.2) THEN 
-       ztit='after reevap'
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,2,1,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , zero_v, zero_v, zero_v, zero_v, zero_v &
-            , zero_v, zero_v, zero_v, ztsol &
-            , d_h_vcol, d_qt, d_ec &
-            , fs_bound, fq_bound )
-       !
-    ENDIF
-
-    !
     !=========================================================================
     ! Calculs de l'orbite.
@@ -2280,17 +2250,4 @@
             t_seri(:,1),q_seri(:,1),u_seri(:,1),v_seri(:,1),evap_pot)
 
-
-       IF (ip_ebil_phy.ge.2) THEN 
-          ztit='after surface_main'
-          CALL diagetpq(cell_area,ztit,ip_ebil_phy,2,2,dtime &
-               , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-               , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-          CALL diagphy(cell_area,ztit,ip_ebil_phy &
-               , zero_v, zero_v, zero_v, zero_v, sens &
-               , evap  , zero_v, zero_v, ztsol &
-               , d_h_vcol, d_qt, d_ec &
-               , fs_bound, fq_bound )
-       ENDIF
-
     ENDIF
     ! =================================================================== c
@@ -2633,17 +2590,4 @@
     ENDIF
 
-    !IM
-    IF (ip_ebil_phy.ge.2) THEN 
-       ztit='after convect'
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,2,2,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , zero_v, zero_v, zero_v, zero_v, zero_v &
-            , zero_v, rain_con, snow_con, ztsol &
-            , d_h_vcol, d_qt, d_ec &
-            , fs_bound, fq_bound )
-    ENDIF
-    !
     IF (check) THEN
        za = qcheck(klon,klev,paprs,q_seri,ql_seri,cell_area)
@@ -2771,20 +2715,4 @@
 
     ENDIF  ! (iflag_wake>=1)
-    !
-    !===================================================================
-    !JYG
-    IF (ip_ebil_phy.ge.2) THEN 
-       ztit='after wake'
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,2,2,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , zero_v, zero_v, zero_v, zero_v, zero_v &
-            , zero_v, zero_v, zero_v, ztsol &
-            , d_h_vcol, d_qt, d_ec &
-            , fs_bound, fq_bound )
-    ENDIF
-
-    !      print*,'apres callwake iflag_cld_th=', iflag_cld_th
     !
     !===================================================================
@@ -2981,19 +2909,4 @@
     !
     !===================================================================
-    !IM
-    IF (ip_ebil_phy.ge.2) THEN 
-       ztit='after dry_adjust'
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,2,2,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , zero_v, zero_v, zero_v, zero_v, zero_v &
-            , zero_v, zero_v, zero_v, ztsol &
-            , d_h_vcol, d_qt, d_ec &
-            , fs_bound, fq_bound )
-    ENDIF
-
-
-    !-------------------------------------------------------------------------
     ! Computation of ratqs, the width (normalized) of the subrid scale 
     ! water distribution
@@ -3070,16 +2983,4 @@
        zx_t = zx_t/za*dtime
        WRITE(lunout,*)"Precip=", zx_t
-    ENDIF
-    !IM
-    IF (ip_ebil_phy.ge.2) THEN 
-       ztit='after fisrt'
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,2,2,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , zero_v, zero_v, zero_v, zero_v, zero_v &
-            , zero_v, rain_lsc, snow_lsc, ztsol &
-            , d_h_vcol, d_qt, d_ec &
-            , fs_bound, fq_bound )
     ENDIF
 
@@ -3243,16 +3144,4 @@
        snow_fall(i) = snow_con(i) + snow_lsc(i)
     ENDDO
-    !IM
-    IF (ip_ebil_phy.ge.2) THEN 
-       ztit="after diagcld"
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,2,2,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , zero_v, zero_v, zero_v, zero_v, zero_v &
-            , zero_v, zero_v, zero_v, ztsol &
-            , d_h_vcol, d_qt, d_ec &
-            , fs_bound, fq_bound )
-    ENDIF
     !
     ! Calculer l'humidite relative pour diagnostique
@@ -3835,18 +3724,4 @@
     ENDIF
 
-    !IM
-    IF (ip_ebil_phy.ge.2) THEN 
-       ztit='after rad'
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,2,2,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , topsw, toplw, solsw, sollw, zero_v &
-            , zero_v, zero_v, zero_v, ztsol &
-            , d_h_vcol, d_qt, d_ec &
-            , fs_bound, fq_bound )
-    ENDIF
-    !
-    !
     ! Calculer l'hydrologie de la surface
     !
@@ -4048,17 +3923,4 @@
     ENDIF
     !IM cf. FLott END
-    !IM
-    IF (ip_ebil_phy.ge.2) THEN 
-       ztit='after orography'
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,2,2,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , zero_v, zero_v, zero_v, zero_v, zero_v &
-            , zero_v, zero_v, zero_v, ztsol &
-            , d_h_vcol, d_qt, d_ec &
-            , fs_bound, fq_bound )
-    ENDIF
-
     !DC Calcul de la tendance due au methane
     IF(ok_qch4) THEN
@@ -4238,25 +4100,4 @@
     t_seri(:,:)=t_seri(:,:)+d_t_ec(:,:)
 
-    !IM
-    IF (ip_ebil_phy.ge.1) THEN 
-       ztit='after physic'
-       CALL diagetpq(cell_area,ztit,ip_ebil_phy,1,1,dtime &
-            , t_seri,q_seri,ql_seri,qs_seri,u_seri,v_seri,paprs,pplay &
-            , d_h_vcol, d_qt, d_qw, d_ql, d_qs, d_ec)
-       !     Comme les tendances de la physique sont ajoute dans la dynamique,
-       !     on devrait avoir que la variation d'entalpie par la dynamique
-       !     est egale a la variation de la physique au pas de temps precedent.
-       !     Donc la somme de ces 2 variations devrait etre nulle.
-
-       CALL diagphy(cell_area,ztit,ip_ebil_phy &
-            , topsw, toplw, solsw, sollw, sens &
-            , evap, rain_fall, snow_fall, ztsol &
-            , d_h_vcol, d_qt, d_ec &
-            , fs_bound, fq_bound )
-       !
-       d_h_vcol_phy=d_h_vcol
-       !
-    ENDIF
-    !
     !=======================================================================
     !   SORTIES